typedef union {
    long	num;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    utime_t	utime;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
    trace_file	*trace_file;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
    ospf_auth *ospf_auth;
#endif	/* PROTO_OSPF */
#ifdef	PROTO_ASPATHS
    as_path *aspath;
    asmatch_t *asp_match;
    asp_range asp_range;
    asp_stack asp_stack;
#endif	/* PROTO_ASPATHS */
#endif	/* GATED_LEXER */
} YYSTYPE;
#define	L_EOS	258
#define	L_ERROR	259
#define	L_NUMBER	260
#define	L_STRING	261
#define	L_HNAME	262
#define	L_KEYWORD	263
#define	L_HEXSTRING	264
#define	L_OCTETSTRING	265
#define	T_DIRECT	266
#define	T_INTERFACE	267
#define	T_INTERFACES	268
#define	T_LCLADDR	269
#define	T_PROTO	270
#define	T_METRIC	271
#define	T_METRICIN	272
#define	T_METRICOUT	273
#define	T_INFINITY	274
#define	T_DOWN	275
#define	T_PARSE	276
#define	T_ADV	277
#define	T_DEFAULT	278
#define	T_DEFAULTS	279
#define	T_YYDEBUG	280
#define	T_YYSTATE	281
#define	T_YYQUIT	282
#define	T_DEBUG	283
#define	T_SYSLOG	284
#define	T_UPTO	285
#define	T_EMERG	286
#define	T_ALERT	287
#define	T_CRIT	288
#define	T_ERR	289
#define	T_WARNING	290
#define	T_NOTICE	291
#define	T_INFO	292
#define	T_ON	293
#define	T_OFF	294
#define	T_GATEWAY	295
#define	T_PREFERENCE	296
#define	T_PREFERENCE2	297
#define	T_DEFAULTMETRIC	298
#define	T_NONBROADCAST	299
#define	T_BROADCAST	300
#define	T_TYPE	301
#define	T_POINTOPOINT	302
#define	T_MULTICAST	303
#define	T_NETMASK	304
#define	T_DEFINE	305
#define	T_INTERNAL	306
#define	T_EXTERNAL	307
#define	T_IGNORE	308
#define	T_NOP	309
#define	T_NOP1	310
#define	T_NOP_DM	311
#define	T_NOP_ADV	312
#define	T_NOP_PROTO	313
#define	T_NOP_SOCKADDR	314
#define	T_PEERAS	315
#define	T_LOCALAS	316
#define	T_NEIGHBOR	317
#define	T_GROUP	318
#define	T_NOGENDEFAULT	319
#define	T_VERSION	320
#define	T_ACQUIRE	321
#define	T_TTL	322
#define	T_MAXUP	323
#define	T_SOURCENET	324
#define	T_PKTSIZE	325
#define	T_P1	326
#define	T_P2	327
#define	T_DEFAULTIN	328
#define	T_DEFAULTOUT	329
#define	T_BGP	330
#define	T_HOLDTIME	331
#define	T_TEST	332
#define	T_KEEP	333
#define	T_SENDBUF	334
#define	T_RECVBUF	335
#define	T_OPEN	336
#define	T_KEEPALIVE	337
#define	T_INDELAY	338
#define	T_OUTDELAY	339
#define	T_ROUTING	340
#define	T_ANALRETENTIVE	341
#define	T_KEEPALIVESALWAYS	342
#define	T_NOAGGRID	343
#define	T_NOAUTHCHECK	344
#define	T_SETPREF	345
#define	T_IGNOREFIRSTASHOP	346
#define	T_NOV4ASLOOP	347
#define	T_V3ASLOOPOKAY	348
#define	T_LOGUPDOWN	349
#define	T_EGP	350
#define	T_ASPATH	351
#define	T_ORIGIN	352
#define	T_INCOMPLETE	353
#define	T_ANY	354
#define	T_LOOPS	355
#define	T_TAG	356
#define	T_KERNEL	357
#define	T_SYMBOLS	358
#define	T_REMNANTS	359
#define	T_IFLIST	360
#define	T_ROUTES	361
#define	T_NOCHANGE	362
#define	T_NOFLUSHATEXIT	363
#define	T_REMNANTHOLDTIME	364
#define	T_HIGHER	365
#define	T_LOWER	366
#define	T_FLASH	367
#define	T_INTERIOR	368
#define	T_BACKGROUND	369
#define	T_LIMIT	370
#define	T_TRUSTEDGATEWAYS	371
#define	T_SOURCEGATEWAYS	372
#define	T_RIP	373
#define	T_RIPOUT	374
#define	T_NORIPOUT	375
#define	T_RIPIN	376
#define	T_NORIPIN	377
#define	T_NOCHECKZERO	378
#define	T_OSPF	379
#define	T_OSPF_ASE	380
#define	T_BACKBONE	381
#define	T_VIRTUALLINK	382
#define	T_STUB	383
#define	T_STUBHOSTS	384
#define	T_RXMITINTERVAL	385
#define	T_INFTRANSDELAY	386
#define	T_NETWORKS	387
#define	T_POLLINTERVAL	388
#define	T_ROUTERS	389
#define	T_NEIGHBORID	390
#define	T_TRANSITAREA	391
#define	T_ELIGIBLE	392
#define	T_MONITORAUTH	393
#define	T_MONITORAUTHKEY	394
#define	T_NOMULTICAST	395
#define	T_DD	396
#define	T_ACK	397
#define	T_LSA_BLD	398
#define	T_LSA_RX	399
#define	T_LSA_TX	400
#define	T_EXPORTINTERVAL	401
#define	T_EXPORTLIMIT	402
#define	T_FIRST	403
#define	T_EVERY	404
#define	T_START_ACCEPT	405
#define	T_STOP_ACCEPT	406
#define	T_START_GENERATE	407
#define	T_STOP_GENERATE	408
#define	T_KEY	409
#define	T_ID	410
#define	T_AREA	411
#define	T_SPF	412
#define	T_HELLO	413
#define	T_HELLOINTERVAL	414
#define	T_ROUTERDEADINTERVAL	415
#define	T_PRIORITY	416
#define	T_ENABLE	417
#define	T_DISABLE	418
#define	T_QUERY	419
#define	T_QUERYINTERVAL	420
#define	T_MODE	421
#define	T_ADVERTISE	422
#define	T_REGISTER	423
#define	T_SNMP	424
#define	T_ICMP	425
#define	T_ROUTERDISCOVERY	426
#define	T_REDIRECT	427
#define	T_REDIRECTS	428
#define	T_NOREDIRECTS	429
#define	T_AUTHTYPE	430
#define	T_AUTHKEY	431
#define	T_NONE	432
#define	T_SIMPLE	433
#define	T_AUTH	434
#define	T_MD5	435
#define	T_SECONDARY	436
#define	T_PASSIVE	437
#define	T_SIMPLEX	438
#define	T_STRICTIFS	439
#define	T_SCANINTERVAL	440
#define	T_STATIC	441
#define	T_MARTIANS	442
#define	T_RETAIN	443
#define	T_EXPORT	444
#define	T_IMPORT	445
#define	T_EXACT	446
#define	T_REFINE	447
#define	T_HOST	448
#define	T_MASK	449
#define	T_MASKLEN	450
#define	T_REJECT	451
#define	T_BLACKHOLE	452
#define	T_RESTRICT	453
#define	T_ALLOW	454
#define	T_ANNOUNCE	455
#define	T_LISTEN	456
#define	T_AS	457
#define	T_ROUTERID	458
#define	T_IGP	459
#define	T_OPTIONS	460
#define	T_NOINSTALL	461
#define	T_NOSEND	462
#define	T_NORESOLV	463
#define	T_MARK	464
#define	T_TRACEOPTIONS	465
#define	T_EXCEPT	466
#define	T_REPLACE	467
#define	T_SIZE	468
#define	T_FILES	469
#define	T_K	470
#define	T_M	471
#define	T_ALL	472
#define	T_ROUTE	473
#define	T_STATE	474
#define	T_POLICY	475
#define	T_NORMAL	476
#define	T_GENERAL	477
#define	T_TASK	478
#define	T_TIMER	479
#define	T_NOSTAMP	480
#define	T_UPDATE	481
#define	T_DETAIL	482
#define	T_SEND	483
#define	T_RECEIVE	484
#define	T_ERROR	485
#define	T_PACKETS	486
#define	T_RESPONSE	487
#define	T_REQUEST	488
#define	T_OTHER	489
#define	T_TRAP	490
#define	L_USEC	491
#define	T_AGGREGATE	492
#define	T_GENERATE	493
#define	T_BRIEF	494
#define	T_INET	495
#define	T_GENDEFAULT	496


extern YYSTYPE yylval;
